osgDB::FileCache Class Reference

`#include <FileCache>`

Inheritance diagram for osgDB::FileCache:

## Public Types

typedef std::list< osg::ref_ptr< DatabaseRevisions > > | DatabaseRevisionsList

## Public Member Functions

| FileCache (const std::string &path)
const std::string & | getFileCachePath () const
virtual bool | isFileAppropriateForFileCache (const std::string &originalFileName) const
virtual std::string | createCacheFileName (const std::string &originalFileName) const
virtual bool | existsInCache (const std::string &originalFileName) const
virtual ReaderWriter::ReadResult | readImage (const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::WriteResult | writeImage (const osg::Image &image, const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::ReadResult | readObject (const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::WriteResult | writeObject (const osg::Object &object, const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::ReadResult | readHeightField (const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::WriteResult | writeHeightField (const osg::HeightField &hf, const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::ReadResult | readNode (const std::string &originalFileName, const osgDB::Options *options, bool buildKdTreeIfRequired=true) const
virtual ReaderWriter::WriteResult | writeNode (const osg::Node &node, const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::ReadResult | readShader (const std::string &originalFileName, const osgDB::Options *options) const
virtual ReaderWriter::WriteResult | writeShader (const osg::Shader &shader, const std::string &originalFileName, const osgDB::Options *options) const
bool | loadDatabaseRevisionsForFile (const std::string &originanlFileName)
DatabaseRevisionsList & | getDatabaseRevisionsList ()
bool | isCachedFileBlackListed (const std::string &originalFileName) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~FileCache ()
FileList * | readFileList (const std::string &originalFileName) const
bool | removeFileFromBlackListed (const std::string &originalFileName) const
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _fileCachePath
DatabaseRevisionsList | _databaseRevisionsList
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## DatabaseRevisionsList

typedef std::list< osg::ref_ptr<DatabaseRevisions> > osgDB::FileCache::DatabaseRevisionsList

## Constructor & Destructor Documentation

## FileCache()

osgDB::FileCache::FileCache | ( | const std::string & | path | ) |

## ~FileCache()

virtual osgDB::FileCache::~FileCache | ( |  | ) |

protected virtual

## Member Function Documentation

## createCacheFileName()

virtual std::string osgDB::FileCache::createCacheFileName | ( | const std::string & | originalFileName | ) | const

virtual

## existsInCache()

virtual bool osgDB::FileCache::existsInCache | ( | const std::string & | originalFileName | ) | const

virtual

## getDatabaseRevisionsList()

DatabaseRevisionsList & osgDB::FileCache::getDatabaseRevisionsList | ( |  | ) |

inline

References _databaseRevisionsList.

## getFileCachePath()

const std::string & osgDB::FileCache::getFileCachePath | ( |  | ) | const

inline

References _fileCachePath.

## isCachedFileBlackListed()

bool osgDB::FileCache::isCachedFileBlackListed | ( | const std::string & | originalFileName | ) | const

## isFileAppropriateForFileCache()

virtual bool osgDB::FileCache::isFileAppropriateForFileCache | ( | const std::string & | originalFileName | ) | const

virtual

## loadDatabaseRevisionsForFile()

bool osgDB::FileCache::loadDatabaseRevisionsForFile | ( | const std::string & | originanlFileName | ) |

## readFileList()

FileList * osgDB::FileCache::readFileList | ( | const std::string & | originalFileName | ) | const

protected

## readHeightField()

virtual ReaderWriter::ReadResult osgDB::FileCache::readHeightField | ( | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## readImage()

virtual ReaderWriter::ReadResult osgDB::FileCache::readImage | ( | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## readNode()

virtual ReaderWriter::ReadResult osgDB::FileCache::readNode | ( | const std::string & | originalFileName,
|  | const osgDB::Options * | options,
|  | bool | buildKdTreeIfRequired = true ) const

virtual

## readObject()

virtual ReaderWriter::ReadResult osgDB::FileCache::readObject | ( | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## readShader()

virtual ReaderWriter::ReadResult osgDB::FileCache::readShader | ( | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## removeFileFromBlackListed()

bool osgDB::FileCache::removeFileFromBlackListed | ( | const std::string & | originalFileName | ) | const

protected

## writeHeightField()

virtual ReaderWriter::WriteResult osgDB::FileCache::writeHeightField | ( | const osg::HeightField & | hf,
|  | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## writeImage()

virtual ReaderWriter::WriteResult osgDB::FileCache::writeImage | ( | const osg::Image & | image,
|  | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## writeNode()

virtual ReaderWriter::WriteResult osgDB::FileCache::writeNode | ( | const osg::Node & | node,
|  | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## writeObject()

virtual ReaderWriter::WriteResult osgDB::FileCache::writeObject | ( | const osg::Object & | object,
|  | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## writeShader()

virtual ReaderWriter::WriteResult osgDB::FileCache::writeShader | ( | const osg::Shader & | shader,
|  | const std::string & | originalFileName,
|  | const osgDB::Options * | options ) const

virtual

## Member Data Documentation

## _databaseRevisionsList

DatabaseRevisionsList osgDB::FileCache::_databaseRevisionsList

protected

Referenced by getDatabaseRevisionsList().

## _fileCachePath

std::string osgDB::FileCache::_fileCachePath

protected

Referenced by getFileCachePath().

The documentation for this class was generated from the following file:

- FileCache